/* ==  THIS ONLY FOR CHAT SYSTEM == */
$color1: rgba(48,199,107,255);
$color2: rgba(165,223,207,255);

$messageColor: #b847ff;
$messageColor2: #cbb1ff;

.antialiased{
    .container{
        padding-bottom: 1rem;
        .iphone-x{
            .title-box{
                padding: 10px 5px;
                background-color: #333;
                z-index: 20;
                .middle-text{
                    text-align: left;
                    color: white;
                    .chat-group-title{
                        font-size: 16px;
                        font-weight: 600;
                        margin-bottom: 5px;
                    }
                    .dot {
                        height: 15px;
                        width: 15px;
                        background-color: teal;
                        border-radius: 50%;
                        display: inline-block;
                        top: 2px;
                        position: relative;
                    }

                    .mt-user-text{
                        margin-top: -3px;
                        padding-left: 5px;
                    }
                }

                .mt-2em{
                    margin-top: 2em;
                }

                .sound-icon{
                    i.fas{
                        color: white;
                        font-size: 1.3rem;
                        vertical-align: -webkit-baseline-middle;
                    }
                }
            }

            .chat-box{
                z-index: -10;
                padding: 10px 5px;
                text-align: left;
                height: 79.5%;
                overflow-y: auto;
                overflow-x: hidden;
                display: block;

                .message-wrapper{
                    .message {
                        position: relative;
                        display: inline-block;
                        // background-image: url('/assets/phone-assets/message_green_bottom.png');
                        background-image:  linear-gradient(to right, $color1, $color2);
                        width: fit-content;
                        max-width: 100%;
                        margin-top: .3rem;
                        border-bottom-right-radius: 20px;
                        border-top-right-radius: 20px;
                        border-top-left-radius: 20px;

                        .text{
                            padding: 7px;
                            font-weight: 500;

                            .player-name{
                                font-weight: 700;
                                color: #667;
                            }

                            .message{
                                line-height: normal;
                            }
                        }
                    }
                }

                .col-typing-wrapper{
                    // position: relative;
                    .typing-wrapper{
                        // display: none;
                        .typing{
                            position: relative;
                            top: 5px;
                            display: inline-flex;
                            background-image:  linear-gradient(to right, $messageColor, $messageColor2);
                            width: fit-content;
                            max-width: 100%;
                            padding: 5px;

                            .typing-type{
                                padding-bottom: 5px;
                            }
                        }
                    }
                }

                .reply{
                    position: relative;
                    display: inline-block;
                    // background-image: url('/assets/phone-assets/message_white_middle.png');
                    background-color: white;
                    width: fit-content;
                    max-width: 100%;
                    // float: right;
                    margin-top: .3rem;
                    border-top-left-radius: 20px;
                    border-bottom-left-radius: 20px;
                    border-top-right-radius: 20px;

                    .text{
                        padding: 10px;
                        text-align: right;
                        font-weight: 600;
                    }
                }

                .eoc-wrapper{
                    display: none;
                    .eoc{
                        padding: 5px;
                        background-color: #666;
                        color: #c78100;
                        text-align: center;
                        font-size: 600;
                        margin-top: 10px;
                        margin-bottom: 5px;
                    }
                }

                .justify-content-start {
                    overflow-y: auto;
                }

                .chat_media_audio{
                    margin-top: .5rem;
                    margin-bottom: -5px;
                }

                .chat_media_video, .chat_media_picture{
                    margin-top: .5rem;
                }
            }

            .action-button{
                position: absolute;
                bottom: 30px;
                display: block;

                .online{
                    display: none;
                    .form-control, .btn{
                        border-radius: 0;
                    }

                    .form-control{
                        border-top-left-radius: 15px;
                        border-bottom-left-radius: 15px;
                        cursor: pointer;
                    }

                    .btn-outline-success{
                        background-color: $color1;
                        border-top-right-radius: 15px;
                        border-bottom-right-radius: 15px;
                    }

                    .w-73{
                        width: 97.5% !important;
                    }
                }

                .offline{
                    .form-control, .btn{
                        border-radius: 0;
                    }

                    .form-control{
                        border-top-left-radius: 15px;
                        border-bottom-left-radius: 15px;
                        // cursor: pointer;
                        background-color: #6c757d;
                        color: white;
                        border-style: none;
                        opacity: 0.5;
                    }

                    .btn-secondary{
                        border-top-right-radius: 15px;
                        border-bottom-right-radius: 15px;
                        opacity: 0.95;
                    }

                    .w-23{
                        width: 38% !important;
                    }
                }

                .browse{
                    display: none;
                    .form-control, .btn{
                        border-radius: 0;
                    }

                    .form-control{
                        border-top-left-radius: 15px;
                        border-bottom-left-radius: 15px;
                        cursor: pointer;
                    }

                    .btn-outline-success{
                        background-color: $color1;
                        border-top-right-radius: 15px;
                        border-bottom-right-radius: 15px;
                    }

                    .w-73{
                        width: 97.5% !important;
                    }
                }

                .select_item{
                    display: none;
                    .form-control, .btn{
                        border-radius: 0;
                    }

                    .form-control{
                        border-top-left-radius: 15px;
                        border-bottom-left-radius: 15px;
                        cursor: pointer;
                    }

                    .btn-outline-success{
                        background-color: $color1;
                        border-top-right-radius: 15px;
                        border-bottom-right-radius: 15px;
                    }

                    .w-73{
                        width: 97.5% !important;
                    }

                    i{
                        color: white;
                        font-size: 23px;
                    }
                }

                .control{
                    padding: 5px;
                }

                .choices{
                    margin-top: 5px;
                    padding: 10px;
                    background-color: #667;
                    display: none;
                    .far{
                        font-size: 24px;
                    }

                    p{
                        font-weight: 600;
                        font-size: 16px;
                    }

                    hr{
                        margin-top: .5rem;
                        border: 1px solid #999;
                    }

                    .imessage{
                        .choice{
                            background-color: white;
                            padding: 5px;
                            text-align: left;
                            margin-bottom: .5rem;
                            cursor: pointer;
                            border-radius: 5px;
                        }
                    }
                }
            }

            .back-button{
                .back{
                    border: 1px solid #333;
                    position: absolute;
                    bottom: -75px;
                    width: 50%;
                    left: 22%;
                }
            }
        }
    }
}

// Large devices (desktops, less than 1200px)
@media (max-width: 1199.98px) {
    .container{
        padding-bottom: 1rem;
        .phone-ui{
            display: block;
            margin-top: 4rem;
        }

        .btn__back{
            display: none;
        }
    }

    .antialiased{
        .container{
            .iphone-x{
                .chat-box{
                    padding-top: 0;

                    .chat-box-container {
                        padding-bottom: 0;

                        .media_video{
                            .btn-select-video_confirm_lg_md{
                                margin-top: 1rem;
                            }
                        }

                        .media_picture{
                            .btn-select-picture_confirm_lg_md{
                                margin-top: 1rem;
                            }
                        }
                    }
                }
            }
        }
    }

    .visible-only-xs{
        display: none;
    }
}

// Medium devices (tablets, less than 992px)
@media (max-width: 991.98px) {
    .container{
        padding-bottom: 1rem;
        .phone-row{
            margin-right: 0;
            margin-left: 0;
            .phone-ui{
                display: none;
            }
        }
    }

    .antialiased{
        .container{
            .iphone-x{
                width: 415px;
                height: 815px;

                .chat-box{
                    padding-top: 0;

                    .chat-box-container {
                        padding-bottom: 0;

                        .browse_media{
                            // .media_audio{

                            // }

                            .media_video{
                                .btn-select-video_confirm_lg_md{
                                    margin-top: 1rem;
                                }
                            }

                            .media_picture{
                                .btn-select-picture_confirm_lg_md{
                                    margin-top: 1rem;
                                }
                            }
                        }
                    }

                    .eoc-wrapper{
                        margin-top: 1rem;
                    }
                }

                .action-button{
                    bottom: 0;

                    .control_offline{
                        position: relative;
                        bottom: 15px;

                        .w-23{
                            width: 30% !important;
                        }
                    }

                    .control_browse{
                        position: relative;
                        bottom: 20px;
                    }

                    .online {
                        .w-73{
                            width: 68% !important;
                        }
                    }

                    .control_select{
                        position: relative;
                        bottom: 15px;
                    }
                }
            }
        }
    }

    .visible-only-xs{
        display: none;
    }
}

// Small devices (landscape phones, less than 768px)
@media (max-width: 767.98px) {
    .container{
        padding-bottom: 1rem;
        .phone-row{
            margin-right: 0;
            margin-left: 0;
            .phone-ui{
                display: none;
            }
        }
    }

    .antialiased{
        .container{
            padding-right: 0;
            padding-left: 0;
            padding-bottom: 0;
            .phone-row{
                .visible-only-xs{
                    background-color: darkgrey;
                    display: none;
                    color: white;

                    .title-box-xs{
                        padding-top: 10px;
                        padding-bottom: 10px;
                        background-color: #333;
                        z-index: 20;
                        .user-icon{
                            img{
                                width: 40% !important;
                                margin-left: 30%;
                            }
                        }
                        .middle-text{
                            .chat-group-title {
                                font-size: 14px;
                                font-weight: 600;
                                margin-bottom: 3px;
                            }

                            .dot {
                                height: 13px;
                                width: 13px;
                                background-color: teal;
                                border-radius: 50%;
                                display: inline-block;
                                top: 5px;
                                position: relative;
                                margin-right: 5px;
                            }

                            .mt-user-text {
                                font-size: 16px;
                            }
                        }

                        .sound-icon-xs{
                            i.fas{
                                color: white;
                                font-size: 1.3rem;
                                vertical-align: -webkit-baseline-middle;
                                margin-top: 10px;
                            }
                        }

                        .mt-2em{
                            margin-top: 0 !important;
                        }
                    }

                    #chat-box-xs{
                        height: 72vh;
                        background-color: darkgrey;
                        padding: 0 5px;
                        text-align: left;
                        overflow-y: auto;
                        overflow-x: hidden;
                        display: block;
                        padding-top: 0;
                        color: black;
                        z-index: 0;

                        .message-wrapper-xs{
                            .message {
                                position: relative;
                                // display: inline-block;
                                // background-image: url('/assets/phone-assets/message_green_bottom.png');
                                background-image:  linear-gradient(to right, $color1, $color2);
                                width: fit-content;
                                max-width: 100%;
                                margin-top: .3rem;
                                border-bottom-right-radius: 20px;
                                border-top-right-radius: 20px;
                                border-top-left-radius: 20px;

                                .text{
                                    padding: 7px;
                                    font-weight: 500;

                                    .player-name{
                                        font-weight: 700;
                                        color: #667;
                                        font-size: 15px;
                                    }

                                    .message{
                                        line-height: normal;
                                        font-size: 14px;
                                    }
                                }
                            }
                        }

                        .col-typing-wrapper-xs{
                            // position: relative;
                            .typing-wrapper-xs{
                                // display: none;
                                .typing-xs{
                                    position: relative;
                                    top: 5px;
                                    display: inline-flex;
                                    background-image:  linear-gradient(to right, $messageColor, $messageColor2);
                                    width: fit-content;
                                    max-width: 100%;
                                    padding: 5px;

                                    .typing-type{
                                        padding-bottom: 5px;
                                    }

                                    .typing-time{
                                        font-size: 14px;
                                    }
                                }
                            }
                        }

                        .eoc-wrapper-xs{
                            display: none;
                            .eoc{
                                padding: 5px;
                                background-color: #666;
                                color: #c78100;
                                text-align: center;
                                font-size: 600;
                                margin-top: 10px;
                                margin-bottom: 5px;
                            }
                        }

                        .justify-content-start {
                            overflow-y: auto;
                        }

                        .justify-content-end{
                            .reply{
                                position: relative;
                                display: inline-block;
                                background-color: white;
                                width: -webkit-fit-content;
                                width: -moz-fit-content;
                                width: fit-content;
                                max-width: 100%;
                                margin-top: 0.5rem;
                                border-top-left-radius: 20px;
                                border-bottom-left-radius: 20px;
                                border-top-right-radius: 20px;
                                font-size: 14px;

                                .text{
                                    padding: 10px;
                                    text-align: right;
                                    font-weight: 600;
                                }
                            }
                        }

                        .chat_media_audio{
                            margin-top: .5rem;
                            margin-bottom: -5px;
                        }

                        .chat_media_video, .chat_media_picture{
                            margin-top: .5rem;
                        }

                        .browse_media_xs{
                            .media_audio_xs{
                                .custom-checkbox{
                                    position: relative;
                                    top: 25%;
                                }
                            }
                        }
                    }

                    .action-button-wrapper-xs{
                        height: 7vh;
                        background-color: darkgrey;
                        .action-button-xs{
                            position: absolute;
                            // bottom: 47.6vh;
                            bottom: 0;
                            display: block;
                            padding-left: 10px;
                            padding-right: 10px;

                            .online-xs{
                                display: none;
                                padding: 0 10px;
                                position: relative;
                                bottom: 40px;
                                .form-control, .btn{
                                    border-radius: 0;
                                }

                                .form-control{
                                    border-top-left-radius: 15px;
                                    border-bottom-left-radius: 15px;
                                    cursor: pointer;
                                }

                                .btn-outline-success{
                                    background-color: $color1;
                                    border-top-right-radius: 15px;
                                    border-bottom-right-radius: 15px;
                                }

                                .w-73{
                                    width: 85% !important;
                                }
                            }

                            .offline-xs{
                                padding: 0 10px;
                                position: relative;
                                bottom: 40px;
                                .form-control, .btn{
                                    border-radius: 0;
                                }

                                .form-control{
                                    border-top-left-radius: 15px;
                                    border-bottom-left-radius: 15px;
                                    // cursor: pointer;
                                    background-color: #6c757d;
                                    color: white;
                                    border-style: none;
                                    opacity: 0.5;
                                }

                                .btn-secondary{
                                    border-top-right-radius: 15px;
                                    border-bottom-right-radius: 15px;
                                    opacity: 0.95;
                                }

                                .w-23{
                                    width: 35% !important;
                                }
                            }

                            .browse-xs{
                                display: none;
                                padding: 0 10px;
                                position: relative;
                                bottom: 40px;
                                .form-control, .btn{
                                    border-radius: 0;
                                }

                                .form-control{
                                    border-top-left-radius: 15px;
                                    border-bottom-left-radius: 15px;
                                    cursor: pointer;
                                }

                                .btn-outline-success{
                                    background-color: $color1;
                                    border-top-right-radius: 15px;
                                    border-bottom-right-radius: 15px;
                                }

                                .w-73{
                                    width: 97.5% !important;
                                }
                            }

                            .select_item-xs{
                                display: none;
                                padding: 0 10px;
                                position: relative;
                                bottom: 42px;
                                .form-control, .btn{
                                    border-radius: 0;
                                }

                                .form-control{
                                    border-top-left-radius: 15px;
                                    border-bottom-left-radius: 15px;
                                    cursor: pointer;
                                }

                                .btn-outline-success{
                                    background-color: $color1;
                                    border-top-right-radius: 15px;
                                    border-bottom-right-radius: 15px;
                                }

                                .w-73{
                                    width: 97.5% !important;
                                }

                                i{
                                    color: white;
                                    font-size: 23px;
                                }
                            }

                            .control{
                                padding: 5px;
                            }

                            .choices-xs{
                                margin-top: 5px;
                                padding: 10px;
                                background-color: #667;
                                display: none;
                                .far{
                                    font-size: 20px;
                                    text-align: center;
                                }

                                p{
                                    font-weight: 600;
                                    font-size: 16px;
                                }

                                hr{
                                    margin-top: .5rem;
                                    border: 1px solid #999;
                                }

                                .imessage-xs{
                                    .choice{
                                        background-color: white;
                                        padding: 5px;
                                        text-align: left;
                                        margin-bottom: .5rem;
                                        cursor: pointer;
                                        border-radius: 5px;
                                    }

                                    button{
                                        font-size: 14px;
                                    }
                                }
                            }
                        }
                    }

                    .back-button-xs{
                        .back{
                            border: 1px solid #333;
                            position: absolute;
                            bottom: -75px;
                            width: 50%;
                            left: 22%;
                        }
                    }
                }
            }
        }
    }

    //typing dot animation
    div#wave {
        position:relative;
        text-align:left;
        margin-left: 5px;
        .dot {
            display:inline-block;
            width:6px;
            height:6px;
            border-radius:50%;
            margin-right:2px;
            background:#303131;
            animation: wave 1.3s linear infinite;

            &:nth-child(2) {
                animation-delay: -1.1s;
            }

            &:nth-child(3) {
                animation-delay: -0.9s;
            }
        }
    }

    @keyframes wave {
        0%, 60%, 100% {
            transform: initial;
        }

        30% {
            transform: translateY(-15px);
        }
    }
}

// Extra small devices (portrait phones, less than 576px)
@media (max-width: 575.98px) {
    .visible-only-xs{
        display: none;
    }

    .antialiased{
        .container{
            padding-bottom: 0;
            .phone-row{
                .visible-only-xs{
                    background-color: darkgrey;
                    display: none;
                    color: white;

                    .action-button-wrapper-xs{
                        height: 8vh;
                        background-color: darkgrey;
                        .action-button-xs{
                            position: absolute;
                            // bottom: 47.6vh;
                            bottom: 0;
                            display: block;
                            padding-left: 10px;
                            padding-right: 10px;

                            .online-xs{
                                display: none;
                                padding: 0 10px;
                                position: relative;
                                // bottom: 15px !important;
                                .form-control, .btn{
                                    border-radius: 0;
                                }

                                .form-control{
                                    border-top-left-radius: 15px;
                                    border-bottom-left-radius: 15px;
                                    cursor: pointer;
                                }

                                .btn-outline-success{
                                    background-color: $color1;
                                    border-top-right-radius: 15px;
                                    border-bottom-right-radius: 15px;
                                }

                                .w-73{
                                    width: 85% !important;
                                }
                            }

                            .offline-xs{
                                padding: 0 10px;
                                position: relative;
                                bottom: 15px;
                                .form-control, .btn{
                                    border-radius: 0;
                                }

                                .form-control{
                                    border-top-left-radius: 15px;
                                    border-bottom-left-radius: 15px;
                                    // cursor: pointer;
                                    background-color: #6c757d;
                                    color: white;
                                    border-style: none;
                                    opacity: 0.5;
                                }

                                .btn-secondary{
                                    border-top-right-radius: 15px;
                                    border-bottom-right-radius: 15px;
                                    opacity: 0.95;
                                }

                                .w-23{
                                    width: 33% !important;
                                }
                            }

                            .browse-xs{
                                display: none;
                                padding: 0 10px;
                                position: relative;
                                bottom: 15px !important;
                                .form-control, .btn{
                                    border-radius: 0;
                                }

                                .form-control{
                                    border-top-left-radius: 15px;
                                    border-bottom-left-radius: 15px;
                                    cursor: pointer;
                                }

                                .btn-outline-success{
                                    background-color: $color1;
                                    border-top-right-radius: 15px;
                                    border-bottom-right-radius: 15px;
                                }

                                .w-73{
                                    width: 97.5% !important;
                                }
                            }

                            .select_item-xs{
                                display: none;
                                padding: 0 10px;
                                position: relative;
                                bottom: .8em;
                                .form-control, .btn{
                                    border-radius: 0;
                                }

                                .form-control{
                                    border-top-left-radius: 15px;
                                    border-bottom-left-radius: 15px;
                                    cursor: pointer;
                                }

                                .btn-outline-success{
                                    background-color: $color1;
                                    border-top-right-radius: 15px;
                                    border-bottom-right-radius: 15px;
                                }

                                .w-73{
                                    width: 97.5% !important;
                                }

                                i{
                                    color: white;
                                    font-size: 23px;
                                }
                            }

                            .confirm_select_audio_item-xs{
                                display: none;

                                .btn-select-audio_confirm{
                                    position: relative;
                                    bottom: 60vh;
                                }
                            }

                            .confirm_select_video_item-xs{
                                display: none;

                                .btn-select-video_confirm{
                                    position: relative;
                                    bottom: 38vh;
                                }
                            }

                            .confirm_select_picture_item-xs{
                                display: none;

                                .btn-select-picture_confirm{
                                    position: relative;
                                    bottom: 50vh;
                                }
                            }

                            .control{
                                padding: 5px;
                            }

                            .choices-xs{
                                margin-top: 5px;
                                padding: 10px;
                                background-color: #667;
                                display: none;
                                .far{
                                    font-size: 20px;
                                    text-align: center;
                                }

                                p{
                                    font-weight: 600;
                                    font-size: 16px;
                                }

                                hr{
                                    margin-top: .5rem;
                                    border: 1px solid #999;
                                }

                                .imessage-xs{
                                    .choice{
                                        background-color: white;
                                        padding: 5px;
                                        text-align: left;
                                        margin-bottom: .5rem;
                                        cursor: pointer;
                                        border-radius: 5px;
                                    }

                                    button{
                                        font-size: 14px;
                                    }
                                }
                            }
                        }
                    }

                    #chat-box-xs{
                        height: 73vh;
                        padding-right: 5px;
                        padding-left: 5px;
                    }
                }
            }
        }
    }

    //typing dot animation
    div#wave {
        position:relative;
        text-align:left;
        margin-left: 5px;
        .dot {
            display:inline-block;
            width:6px;
            height:6px;
            border-radius:50%;
            margin-right:2px;
            background:#303131;
            animation: wave 1.3s linear infinite;

            &:nth-child(2) {
                animation-delay: -1.1s;
            }

            &:nth-child(3) {
                animation-delay: -0.9s;
            }
        }
    }

    @keyframes wave {
        0%, 60%, 100% {
            transform: initial;
        }

        30% {
            transform: translateY(-15px);
        }
    }
}

//scrollbar
::-webkit-scrollbar-track
{
    box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
	background-color: #F5F5F5;
}

::-webkit-scrollbar
{
	width: 5px;
	background-color: #F5F5F5;
}

::-webkit-scrollbar-thumb
{
	// background-color: #000000;
    background-image: -webkit-gradient(linear,
									   40% 0%,
									   75% 84%,
									   from(#4D9C41),
									   to(#19911D),
									   color-stop(.6,#54DE5D));
    border-radius: 10px;
    height: 25%;
}

//chat
.play-json{
    text-decoration: none;

    &:hover{
        text-decoration: none;
    }
}

//typing dot animation
div#wave {
	position:relative;
	text-align:left;
	margin-left: 5px;
	.dot {
		display:inline-block;
		width:7px;
		height:7px;
		border-radius:50%;
		margin-right:3px;
		background:#303131;
		animation: wave 1.3s linear infinite;

		&:nth-child(2) {
			animation-delay: -1.1s;
		}

		&:nth-child(3) {
			animation-delay: -0.9s;
		}
	}
}

@keyframes wave {
	0%, 60%, 100% {
		transform: initial;
	}

	30% {
		transform: translateY(-10px);
	}
}

.hide{
    display: none !important;
}

.displayFlex{
    display: flex !important;
}

.displayBlock{
    display: block !important;
}

.pr5{
    padding-right: 15px;
}

.mb205{
    margin-bottom: 22vh;
}

.move-top{
    position: relative;
    top: -26% !important;
}

.block{
    display: block;
}

.fa-folder-open{
    font-size: 22px;
    color: white;
}

.position-0{
    position: relative;
    top: 0 !important;
}

.btn__back{
    display: none;
}

.antialiased{
    .container{
        .iphone-x{
            .chat-box{
                padding-top: 0;

                .chat-box-container {
                    padding-bottom: 0;
                }
            }
        }
    }
}

.footer{
    .mini-footer {
        background:#192027;
        text-align:center;
        padding:25px 0
    }
    .mini-footer p {
        margin:0;
        line-height:26px;
        font-size:15px;
        color:#999
    }
    .mini-footer p a {
        color:#5867dd
    }
    .mini-footer p a:hover {
        color:#34bfa3
    }
}

.visible-only-xs{
    display: none;
}
